.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.quiz-question-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.options-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.optionButtonStyle,
.selectedOptionButton,
.goButton,
.correctOptionButton,
.incorrectOptionButton {
  display: flex;
  align-items: center;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 200px;
  padding-right: 200px;
  font-size: 20px;
  border-radius: 15px;
  cursor: pointer;
  font-family: Andale Mono, monospace;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: background-color 0.3s, color 0.3s box-shadow 0.3s;
  margin: 50px;
}

.optionButtonStyle {
  background: #1a1f44;
  color: #ffffff;
  border: 2px solid #ffff00;
}

.selectedOptionButton {
  color: #000000;
  background: #ffff00;
  border: 2px solid #1a1f44;
}

.correctOptionButton {
  color: #000000;
  background: #33ff57;
  border: 2px solid #ffff00;
}

.incorrectOptionButton {
  color: #ffffff;
  background: #ff0000;
  border: 2px solid #ffff00;
}

.goButton {
  margin: auto;
  padding-left: 100px;
  padding-right: 100px;
  background: #32174d;
  color: #ffffff;
  border: 2px solid #ffff00;
}

.playButton {
  font-family: Andale Mono, monospace;
  font-size: 30px;
  background-color: #1a1f44;
  color: #ffffff;
  cursor: pointer;
  border: 4px solid #ffff00;
  border-radius: 15px;
  padding: 10px 100px;
}

.question {
  font-family: Andale Mono, monospace;
  font-size: 50px;
  margin-bottom: 50px;
  margin-top: 25px;
}

.menuBar {
  display: flex;
  flex-direction: row-reverse;
  background: #1a1f44;
}

.menuButton {
  font-family: Andale Mono, monospace;
}

.mainContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  background-color: #32174d;
  color: #ffffff;
  font-family: Andale Mono, monospace;
}

.title {
  font-family: Andale Mono, monospace;
  font-size: 100px;
  margin-bottom: 50px;
  margin-top: 25px;
}
